Bug 849605 - [abrt] ibus-unikey-0.6.1-2.fc17: __GI___libc_malloc: Process /usr/libexec/ibus-engine-unikey was killed by signal 11 (SIGSEGV)
[abrt] ibus-unikey-0.6.1-2.fc17: __GI___libc_malloc: Process /usr/libexec/ibu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus-unikey (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Truong Anh Tuan
Fedora Extras Quality Assurance
abrt_hash:48a014d62011f82567285d573e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 06:21 EDT by Vuong De Danh
Modified: 2013-08-01 08:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:42:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.12 KB, text/plain)
2012-08-20 06:21 EDT, Vuong De Danh
no flags Details
File: maps (12.87 KB, text/plain)
2012-08-20 06:21 EDT, Vuong De Danh
no flags Details

  None (edit)
Description Vuong De Danh 2012-08-20 06:21:03 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-unikey --ibus
comment:        dsf
crash_function: __GI___libc_malloc
executable:     /usr/libexec/ibus-engine-unikey
kernel:         3.5.2-1.fc17.x86_64
pid:            2002
pwd:            /tmp
remote_result:  NOTFOUND
time:           Mon 20 Aug 2012 05:10:35 PM ICT
uid:            1000
username:       owner
xsession_errors: 

backtrace:      Text file, 33919 bytes
maps:           Text file, 13178 bytes

build_ids:
:6086bff484a49cc8b80cb714d7e83a6391394800
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:f4c064df8745dff15466d705fb049138f9a5c949
:6668de624a10d486a3484d5b4921f87b1e77d36c
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:ecad3f852f36e91716e85a1cfcc410e83db0976b
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:a553a7e9625a224a8f39286909adc17787ad51bd
:d804f8ee47797da9213a92f00cd095ecada8d79f
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:c35794cce68ac03c35228d4e481ca992c253eb73
:da0831cf9c551543fbc94e797a102a57a30e790f
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:7c35310fc506498c612d5d982ab03becc4b4817c
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/owner/2

core_backtrace:
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x7b4d3 malloc_consolidate libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x7c5fe _int_malloc libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x7f493 malloc libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4d26f g_malloc libglib-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xe447d - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0xf9ec ibus_main libibus-1.0.so.5 -
:c35794cce68ac03c35228d4e481ca992c253eb73 0x4f23 - [exe] -

dso_list:
:/usr/lib64/libgobject-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343063297
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1339641805
:/usr/libexec/ibus-engine-unikey ibus-unikey-0.6.1-2.fc17.x86_64 (Fedora Project) 1339671196
:/usr/lib64/libgmodule-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343063297
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libgio-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343063297
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libm-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/libX11.so.6.3.0 libX11-1.5.0-2.fc17.x86_64 (Fedora Project) 1340975723
:/usr/lib64/libnss_files-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libdl-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libpthread-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/libglib-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343063297
:/usr/lib64/libutil-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/libc-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.x86_64 (Fedora Project) 1337719200
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1337719199
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib/locale/locale-archive glibc-common-2.15-56.fc17.x86_64 (Fedora Project) 1345393264
:/usr/lib64/libgthread-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343063297
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/libibus-1.0.so.5.0.499 ibus-libs-1.4.99.20120712-1.fc17.x86_64 (Fedora Project) 1343553620
:/usr/lib64/librt-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/libresolv-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232
:/usr/lib64/ld-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345393232

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-lKZaZ5mVfJ,guid=96dfd96c8a633c75144adb050000004e
:XDG_RUNTIME_DIR=/run/user/owner
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:XDG_VTNR=1
:USERNAME=owner
:GDMSESSION=gnome
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lKZaZ5mVfJ,guid=96dfd96c8a633c75144adb050000004e
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-owner-3wDa00/database
:USER=owner
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1065
:SHLVL=1
:PWD=/home/owner
:GNOME_KEYRING_CONTROL=/run/user/owner/keyring-25LQFj
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=owner
:HOME=/home/owner
:LC_CTYPE=en_US.UTF-8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=xim
:XMODIFIERS=@im=ibus

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7500                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7500                 7500                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[27533]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:inotify
:pos:	0
:flags:	02004000
:6:socket:[27536]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 4ab75ada-0b4f-4b4e-8b28-cfbf6694d9b4
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3990.06
:CPU Vendor: GenuineIntel
:CPU Model: Genuine Intel(R) CPU             575  @ 2.00GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 1
:CPU Speed: 2000
:System Memory: 959
:System Swap: 1919
:Vendor: Hewlett-Packard
:System: Compaq Presario CQ40 Notebook PC F.11E
:Form factor: Notebook
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4156:13831) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(4332:33078:4156:12535) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10544:4156:13831) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4156:13831) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4156:13831) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10564:4156:13831) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:9288:4156:13831) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:4156:13831) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:4156:13831) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4156:13831) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4156:13831) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4156:13831) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4156:13831) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:13831) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(5348:17173:4156:4989) pci, b43-pci-bridge, NETWORK, BCM4312 802.11b/g Wireless LAN Controller
:(32902:10818:4156:13831) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4156:13831) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4156:13831) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:13831) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4156:13831) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4156:13831) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4156:13831) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:13831) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10570:4156:13831) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(6523:9092:4156:12535) pci, None, BASE, xD Host Controller
:(6523:9090:4156:12535) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(6523:9091:4156:12535) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9089:4156:12535) pci, None, BASE, Standard SD Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fish-lv00 / ext4 4096 4096 28229808 19670169 19383416 7176192 6906663 6906663
:/dev/sda2 /boot ext4 1024 1024 495844 397545 371945 128016 127653 127653
:

var_log_messages:
:Aug 18 00:17:45 fish abrt[10002]: Saved core dump of pid 9585 (/usr/libexec/ibus-engine-unikey) to /var/spool/abrt/ccpp-2012-08-18-00:17:45-9585 (18751488 bytes)
:Aug 18 01:07:51 fish abrt[10158]: Saved core dump of pid 10013 (/usr/libexec/ibus-engine-unikey) to /var/spool/abrt/ccpp-2012-08-18-01:07:51-10013 (18751488 bytes)
:Aug 20 16:55:42 fish abrt[1967]: Saved core dump of pid 1961 (/usr/libexec/ibus-engine-unikey) to /var/spool/abrt/ccpp-2012-08-20-16:55:40-1961 (18759680 bytes)
:Aug 20 17:10:36 fish abrt[2090]: Saved core dump of pid 2002 (/usr/libexec/ibus-engine-unikey) to /var/spool/abrt/ccpp-2012-08-20-17:10:35-2002 (18755584 bytes)
Comment 1 Vuong De Danh 2012-08-20 06:21:08 EDT
Created attachment 605650 [details]
File: backtrace
Comment 2 Vuong De Danh 2012-08-20 06:21:11 EDT
Created attachment 605651 [details]
File: maps
Comment 3 Fedora End Of Life 2013-07-04 00:06:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 08:42:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.